.POSIX:

CC = gcc
# CFLAGS = -Wall -Wextra -ansi -pedantic -std=c99 -g
CFLAGS = -Wall -ansi -pedantic -std=c99 -g -fsanitize=address

all: pkmn

install: all
	cp pkmn /usr/local/bin
	cp -r pokemons /usr/local/share/pkmn

uninstall:
	rm /usr/local/bin/pkmn
	rm -r /usr/local/share/pkmn

pkmn: pkmn.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)

pkmn.o: pkmn.c

clean:
	rm -f *.o